Bug 84805 - swap space permissions
swap space permissions
Status: CLOSED DUPLICATE of bug 74849
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-21 10:54 EST by Thomas Kellar
Modified: 2007-04-18 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:51:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Kellar 2003-02-21 10:54:23 EST
Description of problem:

file based swap space is created with the wrong
permissions allowing anyone-any user to scan the
swap space.  It is created with 666 permissions
and should be created with 660 or better 600 
permissions.  The disk based rather then file
based swap space has 660 permissions.

Version-Release number of selected component (if applicable):

Version 8.0 professional version

How reproducible:

easy

Steps to Reproduce:
1. add swap space manually
2. add swap space via the upgrade to 8.0 process
3.
    
Actual results:

/SWAP created by the upgrade procedure has 666 permissions when it
should have 660 or 600 permissions

Expected results:


Additional info:

Easy to fix but this is a security problem on multi user systems.
Comment 1 Jeremy Katz 2003-02-21 16:50:43 EST
Fixed in Phoebe and later
Comment 2 Kjartan Maraas 2003-04-03 14:59:12 EST
This is a duplicate of http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=74849
Comment 3 Jeremy Katz 2003-04-03 15:10:27 EST

*** This bug has been marked as a duplicate of 74849 ***
Comment 4 Red Hat Bugzilla 2006-02-21 13:51:55 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.